import { ClassProvider, FactoryProvider, InjectionToken } from '@angular/core';
export declare const WINDOW: InjectionToken<unknown>;
export declare abstract class WindowRef {
    get nativeWindow(): Window | Object;
}
export declare class BrowserWindowRef extends WindowRef {
    constructor();
    get nativeWindow(): Window | Object;
}
export declare function windowFactory(browserWindowRef: BrowserWindowRef, platformId: Object): Window | Object;
export declare const browserWindowProvider: ClassProvider;
export declare const windowProvider: FactoryProvider;
export declare const WINDOW_PROVIDERS: (ClassProvider | FactoryProvider)[];
